Ask Your Question
0

bench.h:38:10: fatal error: rpc/rpc.h: No such file or directory

asked 2018-08-02 04:07:31 -0600

noobusinghacks gravatar image

hi guys im runing a kernel regression test with performance test suite and im not exactly sure whats going on

[root@localhost kernel-tests]# ./runtests.sh -t performance
Test suite called with performance
In file included from lib_tcp.c:9:
bench.h:38:10: fatal error: rpc/rpc.h: No such file or directory
 #include <rpc/rpc.h>
          ^~~~~~~~~~~
compilation terminated.
gmake[2]: *** [Makefile:244: ../bin/i686-pc-linux-gnu/lib_tcp.o] Error 1
make[1]: *** [Makefile:114: lmbench] Error 2
make: *** [Makefile:20: build] Error 2
In file included from lib_tcp.c:9:
bench.h:38:10: fatal error: rpc/rpc.h: No such file or directory
 #include <rpc/rpc.h>
          ^~~~~~~~~~~
compilation terminated.
gmake[2]: *** [Makefile:244: ../bin/i686-pc-linux-gnu/lib_tcp.o] Error 1
make[1]: *** [Makefile:114: lmbench] Error 2
make: *** [Makefile:23: results] Error 2
./performance/lmbench3                                           PASS    
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100    45  100    45    0     0    111      0 --:--:-- --:--:-- --:--:--   111
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 78.8M  100 78.8M    0     0  1464k      0  0:00:55  0:00:55 --:--:-- 1601k
cc1: error: code model ‘kernel’ not supported in the 32 bit mode
make[3]: *** [/usr/src/kernels/4.17.9-200.fc28.i686/scripts/Makefile.build:313: /home/fairbrother/Documents/kernel-tests/thirdparty/nvidia-module/tmp/kernel/nvidia/nv-frontend.o] Error 1
make[2]: *** [/usr/src/kernels/4.17.9-200.fc28.i686/Makefile:1575: _module_/home/fairbrother/Documents/kernel-tests/thirdparty/nvidia-module/tmp/kernel] Error 2
make[1]: *** [Makefile:146: sub-make] Error 2
make: *** [Makefile:79: modules] Error 2
./thirdparty/nvidia-module                                       WARN    

Test suite complete                                              WARN    

Your log file is being submitted...
FAS password: 
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/munch/__init__.py", line 98, in __getattr__
    return object.__getattribute__(self, k)
AttributeError: 'Munch' object has no attribute 'message'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/munch/__init__.py", line 101, in __getattr__
    return self[k]
KeyError: 'message'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./fedora_submit.py", line 55, in <module>
    print(req.message)
  File "/usr/lib/python3.6/site-packages/munch/__init__.py", line 103, in __getattr__
    raise AttributeError(k)
AttributeError: message
The following information is not submitted with your log;
it is for informational purposes only.
Vulnerability status:
/sys/devices/system/cpu/vulnerabilities/meltdown:Vulnerable
/sys/devices/system/cpu/vulnerabilities/spec_store_bypass:Vulnerable
/sys/devices/system/cpu/vulnerabilities/spectre_v1:Mitigation: __user pointer sanitization
/sys/devices/system/cpu/vulnerabilities/spectre_v2:Mitigation: Full generic retpoline
[root@localhost kernel-tests]#

now is this a bug? also is the performance test suite actually running properly?

edit retag flag offensive close merge delete

1 Answer

Sort by » oldest newest most voted
1

answered 2018-08-02 08:22:15 -0600

hhlp gravatar image

here is the comment from @jforbes the owner of kernel-test :

Regards.,

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2018-08-02 04:07:31 -0600

Seen: 515 times

Last updated: Aug 02 '18